1

Civix doesn't seem to work with Joomla! 3.9.3. According to this, Joomla! 3.9.3 doesn't allow loading of phar packed files. When I try to run civix, I get the following exception error in a red panel:

[TYPO3\PharStreamWrapper\Exception]
Unexpected file extension in "phar:///usr/local/bin/civix/bin/api/class.api.php"

I reverted to Joomla! 3.9.2 and civix works again.

2

OK, it looks like it's a problem with Joomla 3.9.3. See discussion here. Fix should be included in Joomla 3.9.4, which is out on 12th March.

  • No, the problem persists in Joomla 3.9.4. – Jern Mar 23 at 13:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.